# RunOptions | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

A set of configurations for inference run behavior

### Hierarchy

- RunOptions

## Index

### Properties

- extra
- logSeverityLevel
- logVerbosityLevel
- tag
- terminate

## Properties

### Optional extra

extra?: Record<string, unknown>

- Defined in inference-session.ts:248

Set a single run configuration entry. See https://github.com/microsoft/onnxruntime/blob/master/include/onnxruntime/core/session/ onnxruntime_run_options_config_keys.h

This setting is available only in WebAssembly backend. Will support Node.js binding and react-native later

example

      extra: {
        memory: {
          enable_memory_arena_shrinkage: "1",
        }
      }

### Optional logSeverityLevel

logSeverityLevel?: 0 | 1 | 2 | 3 | 4

- Defined in inference-session.ts:208

Log severity level. See https://github.com/microsoft/onnxruntime/blob/master/include/onnxruntime/core/common/logging/severity.h

This setting is available only in ONNXRuntime (Node.js binding and react-native) or WebAssembly backend

### Optional logVerbosityLevel

logVerbosityLevel?: number

- Defined in inference-session.ts:215

Log verbosity level.

This setting is available only in WebAssembly backend. Will support Node.js binding and react-native later

### Optional tag

tag?: string

- Defined in inference-session.ts:229

A tag for the Run() calls using this

This setting is available only in ONNXRuntime (Node.js binding and react-native) or WebAssembly backend

### Optional terminate

terminate?: boolean

- Defined in inference-session.ts:222

Terminate all incomplete OrtRun calls as soon as possible if true

This setting is available only in WebAssembly backend. Will support Node.js binding and react-native later

Generated using TypeDoc